Use TOM2 for highest sysmem setting for northbound memory routing (DMA). This fixes 4GB memory issues.

Signed-off-by: Marc Jones <marcj303@gmail.com>


Index: coreboot/src/southbridge/amd/rs780/gfx.c
===================================================================
--- coreboot.orig/src/southbridge/amd/rs780/gfx.c	2011-04-01 11:45:45.894571001 -0600
+++ coreboot/src/southbridge/amd/rs780/gfx.c	2011-04-01 12:06:53.598570831 -0600
@@ -661,11 +661,13 @@
 
 	printk(BIOS_DEBUG, "rs780_internal_gfx_enable dev = 0x%p, nb_dev = 0x%p.\n", dev, nb_dev);
 
+        /* The system top memory in 780. */
 	sysmem = rdmsr(0xc001001a);
-	printk(BIOS_DEBUG, "sysmem = %x_%x\n", sysmem.hi, sysmem.lo);
-
-	/* The system top memory in 780. */
+	printk(BIOS_DEBUG, "Sysmem TOM = %x_%x\n", sysmem.hi, sysmem.lo);
 	pci_write_config32(nb_dev, 0x90, sysmem.lo);
+
+        sysmem = rdmsr(0xc001001D);
+        printk(BIOS_DEBUG, "Sysmem TOM2 = %x_%x\n", sysmem.hi, sysmem.lo);
 	htiu_write_index(nb_dev, 0x30, 0);
 	htiu_write_index(nb_dev, 0x31, 0);
 
